WordPress.org

Ready to get started?Download WordPress

Forums

automatic plugin upgrade keeps failing... re: /wp-admin/update.php on line 29 (7 posts)

  1. wireless
    Member
    Posted 5 years ago #

    This has been ongoing thru a few of the latest versions of WordPress .

    When I try to automatically upgrade a plugin it returns an error :-

    Fatal error: Cannot unset string offsets in //public_html/wp-admin/update.php on line 29

    I've lived with it for a couple of months and thought when I upgrade again it will fix it but I used the automatic upgrade wordpress plugin but the errors still there !!!

    Can any one point me in the right direction ???

    I'd be very greatful !!!!

    -G-

  2. webactif
    Member
    Posted 5 years ago #

    any one know a fix ?????

  3. David Radovanovic
    Member
    Posted 5 years ago #

    Anyone?

  4. xChristina80x
    Member
    Posted 5 years ago #

    It would be great to know the fix for this as I have been having the same problem for months!

  5. heinakenka
    Member
    Posted 5 years ago #

    I my case the line number was dit different but anyway the problem was caused by corrupted file.
    During the FTP upload something went wrong and some files were corrupted. After reloading the file indicated in the error everything started working normally.

    H.

  6. David Radovanovic
    Member
    Posted 5 years ago #

    After some effort I found a solution for my case:

    PHP Fatal error: Cannot unset string offsets update.php on line 29

    referred to "ftp_credentials" which is stored in the "wp_options" table of the database. I deleted it via phpMyAdmin:

    DELETE FROM wp_options WHERE option_id = 4613 AND blog_id = 0 AND CONVERT(option_name USING utf8) = 'ftp_credentials' LIMIT 1

    You'll need to change the "option_id" to your own number.

    Hope that helps someone out there.

    Please visit my site at http://www.whatsthebigidea.com and share your thoughts and comments. Thanks!

  7. David Radovanovic
    Member
    Posted 5 years ago #

    Now I'm getting the error:

    [error] PHP Warning: ftp_pwd() [function.ftp-pwd]: CWD command successful. in /usr/home/mysite/www/wp-admin/includes/class-wp-filesystem-ftpext.php on line 122

    PHP Warning: ftp_pwd() [function.ftp-pwd]: PORT command successful. in /usr/home/bigidea/www/wp-admin/includes/class-wp-filesystem-ftpext.php on line 122

    I thought it might be a file permission issue, though it doesn't appear to be that. More investigation to follow.

Topic Closed

This topic has been closed to new replies.

About this Topic